Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83611 - rpm -q --changelog date format should be gettextized
Summary: rpm -q --changelog date format should be gettextized
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: rpm
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-06 09:50 UTC by Nakai
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-03 00:10:36 UTC


Attachments (Terms of Use)
rpm-4.2-datei18n.patch (deleted)
2003-02-06 09:50 UTC, Nakai
no flags Details | Diff

Description Nakai 2003-02-06 09:50:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.2.1) Gecko/20030115

Description of problem:
rpm -q --changelog shows the date entry, but the order should be
gettextized. Each field like '%a', '%b' will be localized by glibc,
but the order should be changed by each application.

--- rpm-4.2/rpmdb/header.c.orig 2003-02-05 19:57:05.000000000 +0900
+++ rpm-4.2/rpmdb/header.c      2003-02-05 20:01:54.000000000 +0900
@@ -3436,7 +3436,7 @@
        /*@modifies formatPrefix @*/
 {
     return realDateFormat(type, data, formatPrefix, padding, element, 
-                         "%a %b %d %Y");
+                         _("%a %b %d %Y"));
 }
 
 /**


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. LANG=ja_JP.eucJP rpm -q --changelog rpm
2. the date format is crazy.
3.
    

Additional info:

Comment 1 Nakai 2003-02-06 09:50:55 UTC
Created attachment 89891 [details]
rpm-4.2-datei18n.patch

Comment 2 Jeff Johnson 2003-04-03 00:10:36 UTC
Fixed in CVS, rpm-4.3-0.2 when built (not soon).


Note You need to log in before you can comment on or make changes to this bug.